Bug 986515 - corruption in anaconda-tb-* file (OMITTED BINARY DATAerrors: strict)
corruption in anaconda-tb-* file (OMITTED BINARY DATAerrors: strict)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-meh (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1452147
  Show dependency treegraph
 
Reported: 2013-07-20 00:31 EDT by Steve Tyler
Modified: 2017-05-18 08:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-meh-0.26-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1452147 (view as bug list)
Environment:
Last Closed: 2013-10-11 19:58:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Tyler 2013-07-20 00:31:51 EDT
Description of problem:

There is corruption in anaconda-tb-* log files reporting some UnicodeDecodeError exceptions. Specifically, this string is corrupt:

OMITTED BINARY DATAerrors: strict

Examples are:
Bug 969309: Attachment 776074 [details]
Bug 981608: Attachment 769164 [details]

Version-Release number of selected component (if applicable):
python-meh-0.25-1.fc19.noarch (per Bug 981608 packaging.log)
anaconda 19.30.13-1
Fedora-19-x86_64-DVD.iso

How reproducible:
Always.

Steps to Reproduce:
1. Generate a UnicodeDecodeError exception by entering non-Latin characters in the "Full name" text box of the User Creation dialog of the installer.

Examples:
Bug 969309 - anaconda crashes when typing non-latin character in user creation 
Bug 981608 - UnicodeDecodeError: 'utf8' codec can't decode byte 0xd0 in position 0: unexpected end of data 

Actual results:
This string appears in the anaconda-tb-* log:
OMITTED BINARY DATAerrors: strict

Expected results:
Clearly delimited exception reporting text and meta-reporting of omitted binary data.

Even better would be hex-encoded binary data similar to "hexdump -C" output.

Additional info:
See also:
Bug 886983 - binary data embedded in anaconda-tb

Reproduced in a VM with:
$ qemu-kvm -m 4096 -hda f19-test-1.img -cdrom ~/xfr/fedora/F19/Fedora-19-x86_64-DVD.iso -vga std -boot menu=on
Comment 1 Steve Tyler 2013-07-20 00:41:35 EDT
Snippet from Bug 969309: Attachment 776074 [details]:

anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/encodings/utf_8.py", line 16, in decode
    return codecs.utf_8_decode(input, errors, True)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/users.py", line 162, in guess_username
    username = fullname[0][0].decode("utf-8").lower() + username
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/user.py", line 326, in _guessNames
    username = guess_username(fullname)
UnicodeDecodeError: 'utf8' codec can't decode byte 0xc5 in position 0: unexpected end of data

Local variables in innermost frame:
OMITTED BINARY DATAerrors: strict


Anaconda instance, containing members:
...
Comment 2 Steve Tyler 2013-07-20 01:00:35 EDT
(In reply to Steve Tyler from comment #1)
...
> Local variables in innermost frame:
> OMITTED BINARY DATAerrors: strict
...

The variable name appears to have been omitted too ...
Comment 3 Fedora Update System 2013-07-23 07:57:38 EDT
python-meh-0.26-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-meh-0.26-1.fc19
Comment 4 Fedora Update System 2013-07-23 23:22:42 EDT
Package python-meh-0.26-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-meh-0.26-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13453/python-meh-0.26-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-11 19:58:32 EDT
python-meh-0.26-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.